NodesToAttributesMappingRequest (Apache Hadoop YARN API 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.server.api.protocolrecords, class: NodesToAttributesMappingRequest

Package org.apache.hadoop.yarn.server.api.protocolrecords

# Class NodesToAttributesMappingRequest

java.lang.Object
org.apache.hadoop.yarn.server.api.protocolrecords.NodesToAttributesMappingRequest

@Public @Unstable public abstract class NodesToAttributesMappingRequest extends Object
list of node-attribute mapping request info.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NodesToAttributesMappingRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract boolean`
  `getFailOnUnknownNodes()`
  `abstract List<NodeToAttributes>`
  `getNodesToAttributes()`
  `abstract AttributeMappingOperationType`
  `getOperation()`
  `abstract String`
  `getSubClusterId()`
  Get the subClusterId.
  `static NodesToAttributesMappingRequest`
  `newInstance(AttributeMappingOperationType operation, List<NodeToAttributes> nodesToAttributes, boolean failOnUnknownNodes)`
  `static NodesToAttributesMappingRequest`
  `newInstance(AttributeMappingOperationType operation, List<NodeToAttributes> nodesToAttributes, boolean failOnUnknownNodes, String subClusterId)`
  `abstract void`
  `setFailOnUnknownNodes(boolean failOnUnknownNodes)`
  `abstract void`
  `setNodesToAttributes(List<NodeToAttributes> nodesToAttributes)`
  `abstract void`
  `setOperation(AttributeMappingOperationType operation)`
  `abstract void`
  `setSubClusterId(String subClusterId)`
  Set the subClusterId.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NodesToAttributesMappingRequest

    public NodesToAttributesMappingRequest()

- ## Method Details

  - ### newInstance

    public static NodesToAttributesMappingRequest newInstance(AttributeMappingOperationType operation, List<NodeToAttributes> nodesToAttributes, boolean failOnUnknownNodes)

  - ### newInstance

    public static NodesToAttributesMappingRequest newInstance(AttributeMappingOperationType operation, List<NodeToAttributes> nodesToAttributes, boolean failOnUnknownNodes, String subClusterId)

  - ### setNodesToAttributes

    @Public @Unstable public abstract void setNodesToAttributes(List<NodeToAttributes> nodesToAttributes)

  - ### getNodesToAttributes

    @Public @Unstable public abstract List<NodeToAttributes> getNodesToAttributes()

  - ### setFailOnUnknownNodes

    @Public @Unstable public abstract void setFailOnUnknownNodes(boolean failOnUnknownNodes)

  - ### getFailOnUnknownNodes

    @Public @Unstable public abstract boolean getFailOnUnknownNodes()

  - ### setOperation

    @Public @Unstable public abstract void setOperation(AttributeMappingOperationType operation)

  - ### getOperation

    @Public @Unstable public abstract AttributeMappingOperationType getOperation()

  - ### getSubClusterId

    @Public @Evolving public abstract String getSubClusterId()
    Get the subClusterId.
    Returns:
      subClusterId.

  - ### setSubClusterId

    @Public @Evolving public abstract void setSubClusterId(String subClusterId)
    Set the subClusterId.
    Parameters:
      `subClusterId` - subCluster Id.